# Method: orders.batchget

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/batchget#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/batchget#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/batchget#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/batchget#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/batchget#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/batchget#body.BatchGetOrdersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/batchget#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/orders/batchget#try-it)

orders.get order details for a list of orders.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/orders:batchGet`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The package name of the application for which this subscription or in-app item was purchased (for example, 'com.some.thing'). |

### Query parameters

| Parameters ||
|---|---|
| `orderIds[]` | `string` Required. The list of order IDs to retrieve order details for. There must be between 1 and 1000 (inclusive) order IDs per request. If any order ID is not found or does not match the provided package, the entire request will fail with an error. The order IDs must be distinct. |

### Request body

The request body must be empty.

### Response body

Response for the orders.batchGet API.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "orders": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/orders#Order`) } ] } ``` |

| Fields ||
|---|---|
| `orders[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/orders#Order`)`` Details for the requested order IDs. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`